import request from '@/utils/request'

export function getMentalHealthHistories(params) {
  return request(({
    url: '/front/mentalHealth/list',
    method: 'get',
    params
  }))
}

export function getMentalHealthReport(params) {
  return request(({
    url: '/front/mentalHealth/report',
    method: 'get',
    params
  }))
}

export function submitMentalHealthForm(data) {
  return request(({
    url: '/front/mentalHealth/submit',
    method: 'post',
    data
  }))
}

export function exportMentalHealthReport(params) {
  return request(({
    url: '/front/mentalHealth/export',
    method: 'get',
    responseType: 'blob',
    params
  }))
}
